Page MenuHomePhabricator

Move Echo page-level data to something async (wgEchoInteractionLogging, wgEchoEventLoggingVersion)
Closed, ResolvedPublic

Description

In the HTML on all pages (for logged-in users):

"wgEchoInteractionLogging": true,
"wgEchoEventLoggingVersion": "1.12"
"wgWikiId": "testwiki"

These are static and not user or page specific, as such they would be better moved out of the HTML in the critical path, to something async (e.g. the startup module config) or (even better) bundled with the module bundle that needs it.

Details

Related Gerrit Patches:

Event Timeline

Krinkle removed Krinkle as the assignee of this task.Apr 17 2019, 2:22 PM
SBisson updated the task description. (Show Details)May 8 2019, 6:45 PM
JTannerWMF moved this task from Inbox to Q1 2019-20 on the Growth-Team board.May 8 2019, 7:08 PM

Change 524633 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Echo@master] Bundle logger-related config vars with ext.echo.logger module

https://gerrit.wikimedia.org/r/524633

Change 524633 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Bundle logger-related config vars with ext.echo.logger module

https://gerrit.wikimedia.org/r/524633

Etonkovidova closed this task as Resolved.Jul 31 2019, 11:51 PM
Etonkovidova claimed this task.